ps_search_s Struct Reference

Base structure for search module. More...

`#include <pocketsphinx_internal.h>`

## Data Fields

ps_searchfuncs_t * | vt
| V-table of search methods.
char * | type
char * | name
ps_search_t * | pls
| Phoneme loop for lookahead.
cmd_ln_t * | config
| Configuration.
acmod_t * | acmod
| Acoustic model.
dict_t * | dict
| Pronunciation dictionary.
dict2pid_t * | d2p
| Dictionary to senone mappings.
char * | hyp_str
| Current hypothesis string.
ps_lattice_t * | dag
| Current hypothesis word graph.
ps_latlink_t * | last_link
| Final link in best path.
int32 | post
| Utterance posterior probability.
int32 | n_words
| Number of words known to search (may be less than in the dictionary)
int32 | start_wid
| Start word ID.
int32 | silence_wid
| Silence word ID.
int32 | finish_wid
| Finish word ID.

## Detailed Description

Base structure for search module.

Definition at line 98 of file pocketsphinx_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/pocketsphinx_internal.h